org.apache.ignite.internal.jdbc.thin

## Class JdbcThinPartitionResultDescriptor

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.JdbcThinPartitionResultDescriptor

    public class JdbcThinPartitionResultDescriptor
    extends Object

Partition result descriptor.

### Field Summary

Fields
`static JdbcThinPartitionResultDescriptor` `EMPTY_DESCRIPTOR` Stub to use as empty descriptor.

### Constructor Summary

Constructors
Constructor and Description
`JdbcThinPartitionResultDescriptor(PartitionResult partRes, int cacheId, PartitionClientContext partClientCtx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`PartitionClientContext` `partitionClientContext()`
`PartitionResult` `partitionResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_DESCRIPTOR

    public static final JdbcThinPartitionResultDescriptor EMPTY_DESCRIPTOR

Stub to use as empty descriptor.

### Constructor Detail

#### JdbcThinPartitionResultDescriptor

    public JdbcThinPartitionResultDescriptor(PartitionResult partRes,
                                             int cacheId,
                                             PartitionClientContext partClientCtx)

Constructor.

Parameters:
  `partRes` - Partiton result.
  `cacheId` - Cache id.
  `partClientCtx` - Partition client context.

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache Id.

#### partitionResult

    public PartitionResult partitionResult()

Returns:
  Partition result.

#### partitionClientContext

    public PartitionClientContext partitionClientContext()

Returns:
  Partition client context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022